# Set up the Pattern register at address 0x10000000
# start by  resetting the whole module, and then write the idents.
# set the LI lines , and inputs.
#finally set the module running to SHARC.

wrl 0x400 0 		
# stop the counter, and storage.
wrl 0 0x14		
# reset the input chip, and the FIFO.
wrl 0x400 1		
# reset the input chip fifos.
wrl 0 0 		
# return to start
wrl 0x400 0		
# and the input 
wrl 0x540 0xc2000000	
# Ident for Group A
wrl 0x544 0xc2010000	
# Ident for Group B
wrl 0x548 0x90400000	
# SYNC
wrl 0x54C 0x90200000	
# Pause
wrl 0x550 0x90300000	
# resume
wrl 0x554 0x90000000	
# Undefined
wrl 0x100 1
# set free transition mode group A
wrl 0x10C 0xFFFF		
# enable all the Group A inputs

# setup and go 

wrl 0 0xb
wrl 0x400 0x22

wrl 0x300 0x20		
# select Group A input 0
wrl 0x304 0x54		
# select Group A FIFO write.
wrl 0x308 0x53		
# select type and time fifo write.
wrl 0x30C 0x5F		
# external FIFO write.
